fields

## Class CField

- java.lang.Object
- - fields.CField

- All Implemented Interfaces:
    Field

      public class CField
      extends java.lang.Object
      implements Field

  Model for the WM-Bus C-Field
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CCode` | `control`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CField()`
    `CField(byte b)`
    `CField(CCode code)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Byte>` | `getBytes()` Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, MSB first.
    `java.util.List<java.lang.Byte>` | `getBytesInTxOrder()` Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, LSB first.
    `CCode` | `getControl()`
    `void` | `setControl(java.lang.Byte control)`
    `void` | `setControl(CCode control)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### control

          private CCode control

  - ### Constructor Detail

    - #### CField

          public CField()

    - #### CField

          public CField(byte b)

    - #### CField

          public CField(CCode code)

  - ### Method Detail

    - #### getBytes

          public java.util.List<java.lang.Byte> getBytes()

      Description copied from interface: `Field`
      Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, MSB first.
      Specified by:
        `getBytes` in interface `Field`
      Returns:
        List of Bytes representing this field, MSB first

    - #### getBytesInTxOrder

          public java.util.List<java.lang.Byte> getBytesInTxOrder()

      Description copied from interface: `Field`
      Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, LSB first.
      Specified by:
        `getBytesInTxOrder` in interface `Field`
      Returns:
        List of Bytes representing this field, LSB first

    - #### getControl

          public CCode getControl()

    - #### setControl

          public void setControl(java.lang.Byte control)

    - #### setControl

          public void setControl(CCode control)